Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82500 - First CUPS start after install takes ages
Summary: First CUPS start after install takes ages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cups
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-01-22 21:22 UTC by Bernd Bartmann
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-09 16:09:15 UTC


Attachments (Terms of Use)

Description Bernd Bartmann 2003-01-22 21:22:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
When CUPS is started right after a Phoebe2 install for the first time it takes
ages. On my Athlon XP 2000+ it took over 3 minutes to come. This could make Joe
User nervous...
When booting the system again CUPS start in seconds.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Phoebe2
2. Watch how long CUPS needs to start for the first time
3.
    

Additional info:

Comment 1 Dax Kelson 2003-01-22 21:29:15 UTC
I noticed this as well. Installed phoebe 2 on 5 machines around 1GHz in speed
and the cups startup -- on the initial boot -- took several minutes.

Comment 2 Tim Waugh 2003-01-22 22:16:04 UTC
Do you both have gimp-print-cups installed?

Comment 3 Bernd Bartmann 2003-01-22 22:23:52 UTC
I do. This is an "Everything" install of Phoebe2.

Comment 4 Tim Waugh 2003-01-24 14:53:18 UTC
Moved this processing time into the gimp-print-cups post-install scriptlet,
where it should have been to start with. :-)

gimp-print-cups-4.2.4-5
cups-1.1.17-10

Comment 5 Nils Philippsen 2003-02-13 13:20:19 UTC
I have this problem every time I (re)start cups:

[...]
root@wombat:~> service cups restart
Stopping cups:                                             [  OK  ]
Starting cups:                                             [  OK  ]
root@wombat:~> rpm -q gimp-print-cups
gimp-print-cups-4.2.4-5
root@wombat:~> rpm -q gimp-print-cups cups
gimp-print-cups-4.2.4-5
cups-1.1.17-13
root@wombat:~> service cups restart
Stopping cups:                                             [  OK  ]
Starting cups:                                             [  OK  ]
root@wombat:~> time service cups restart
Stopping cups:                                             [  OK  ]
Starting cups:                                             [  OK  ]

real    0m40.890s
user    0m0.900s
sys     0m0.320s
root@wombat:~> time service cups restart; dmesg|grep -v FILTER
Stopping cups:                                             [  OK  ]
Starting cups:                                             [  OK  ]

real    0m40.936s
user    0m0.820s
sys     0m0.360s
0x00 PREC=0x00 TTL=124 ID=40592 DF PROTO=TCP SPT=2410 DPT=4662 WINDOW=32767
RES=0x00 SYN URGP=0
usb_control/bulk_msg: timeout
usb_control/bulk_msg: timeout
usb_control/bulk_msg: timeout
usb_control/bulk_msg: timeout
usb_control/bulk_msg: timeout
usb_control/bulk_msg: timeout
usb_control/bulk_msg: timeout
usb_control/bulk_msg: timeout
root@wombat:~>
[...]

I take it that 40 seconds is a bit harsh for starting cups when all I have is a
LaserJet 5L attached to the parallel port (so nothing fancy here). I see that
there are a lot of USB timeouts here (the "grep -v FILTER" part is to leave out
(most/complete) messages from iptables) -- is there a means of telling CUPS not
to try accessing USB printers (or do it in the background or something similar)?`

Comment 6 Tim Waugh 2003-02-13 13:28:07 UTC
Nils: this is a separate problem, and I think it warrants a separate report. 
Could you also include details of USB chipset (at least which module is used)?

Arjan has a USB printer that seems to trigger this 'timeout' behaviour, although
CUPS doesn't take any longer for him than normal to start.

Arguably a kernel issue really.


Note You need to log in before you can comment on or make changes to this bug.